Subject: Re: fixing workdirs

From: Pierre Habouzit <[email-masked]>
Date: Fri, 9 Jul 2010 09:49:58 +0200

On Thu, Jul 08, 2010 at 11:37:14AM -0700, Tait wrote:
> 
> Pierre Habouzit <madcoder_madism.org> said (on 2010/07/08):
> > ...                                    The workdir HEAD reflog is then a
> > symlink to the masters.
> 
> #include <std-symlink-rant>
> 
> On programs (like git) pretending to be cross-platform, symlinks should
> be avoided. They are to varying degrees, painful on non-*nix operating
> systems.
> 
> Windows is an especially compatibility-breaking example, not only on the
> programming side, but also in relation to user interface, and compatibility
> with other programs. Programming-wise, documentation is sparse and
> would require lots of platform-specific work-arounds. The user-interface
> support is worse than terrible. And even if git does everything right,
> there's no guarantee a copy, backup/restore, antivirus program, etc. won't
> come along and corrupt the environment git so carefully created. Many of
> those other programs don't properly handle Windows reparse points. For
> those interested, http://shell-shocked.org/article.php?id=284 gives a
> reasonable-looking overview of the details on Windows.

Well that's how git-new-workdir works, and you don't /need/ git
new-workdir to do actual git work. Note that git is cross compatible to
all POSIX conformant filesystems, it's just windows that I can think of
that won't work with it... They don't provide any sane replacement for
the feature, so I don't see what we can do about it anyways.

-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org